@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/scss/customersupportbackoffice-variables.scss';


@import "../../scss/customersupportbackoffice-variables.scss";

$warehousing-action-buttons--color: $blue__default--100;

div.yw-explorerTree-widget.y-customersupport-explorer-tree .z-caption-content div.yw-navigationPanelStatus {
    background: url("../images/icon-customer-support.png") no-repeat;
    width: 16px;
    height: 16px;
    margin: 7px 0 0 5px;
}

/*Icons for explorer tree */
.yw-explorerTree {
    .y-tree-icon-customersupport_backoffice_explorerTree_tickets .y-tree-icon{
        background-image: url("images/tickets.png");
    }
    .y-tree-icon-customersupport_backoffice_explorerTree_reviews .y-tree-icon{
        background-image: url("images/reviews.png");
    }
    .y-tree-icon-customersupport_backoffice_explorerTree_quotes .y-tree-icon{
        background-image: url("images/quotes.png");
    }
    .y-tree-icon-customersupport_backoffice_explorerTree_customers .y-tree-icon{
        background-image: url("images/customers.png");
    }
    .y-tree-icon-customersupport_backoffice_explorerTree_personaldatareport .y-tree-icon{
        background-image: url("images/_personaldatareport.png");
    }
    .y-tree-icon-customersupport-backoffice_orders .y-tree-icon{
        background-image: url("images/orders.png");
    }
    .y-tree-icon-customersupport-backoffice_returns .y-tree-icon{
        background-image: url("images/inbox.png");
    }
    .y-tree-icon-customersupportbackoffice\.typenode\.order\.open .y-tree-icon{
        background-image: url("images/_open_orders.png");
    }
    .y-tree-icon-customersupportbackoffice\.typenode\.order\.completed .y-tree-icon{
        background-image: url("images/_completed_orders.png");
    }
    .y-tree-icon-customersupportbackoffice\.typenode\.order\.all .y-tree-icon{
        background-image: url("images/_all_orders.png");
    }
    .y-tree-icon-customersupportbackoffice\.typenode\.all\.returns .y-tree-icon{
        background-image: url("images/_all_returns.png");
    }
    .y-tree-icon-customersupportbackoffice\.typenode\.return\.approval\.pending .y-tree-icon{
        background-image: url("images/_pending_approval.png");
    }
    &-widget.y-customersupport-explorer-tree {
        div.yw-explorerTree tr.z-treerow .y-navigable-node .z-treecell-content .yw-treeCellInner .z-label {
            padding-left: 13px;
        }
        .z-treechildren .yw-navigationNode-level1 .z-treecell-content .z-vfiletree-icon {
            padding-left: 5px;
            display: inline-block;
            width: 12px;
        }
    }
}

.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox {
    .z-groupbox-content {
        .z-tablechildren{
            position: relative;
            div:not(.yw-reply-to-customer-container) .z-vlayout-inner{
                position: static;
                padding-bottom: 0 !important;
            }
            &[ytestid="correspondencePanel"]:before{
                content: '';
                width: 4px;
                background: #e2e5e9;
                top: 0;
                bottom: 0;
                position: absolute;
                left: 50%;
                margin-left: -2px;
            }
        }
    }
}
.yw-reply-to-customer-container .yw-editorarea-editor-correspondence-attachments {
	text-align: left;
    a:first-child {
        display: inline-block;
        max-width: 220px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    > div {
        float: left;
    }
    a:link,
    a:visited {
        color: $cst-reply-to-customer--background;
        font-size: 10px;
    }
}
.yw-editorarea-editor-correspondence-subject {
    border: none !important;
    font-size: 25px;
    height: 100%;
    &:hover {
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6);
    }
    &:focus {
        background-color: rgb(238, 243, 247);
    }
}

//is it still used somewhere
.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox .yw-editorarea-editor-correspondence-customer-service .z-textbox.changes,
.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox .yw-editorarea-editor-correspondence-customer-service .z-textbox.message {
    margin-top: 10px;
}
.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox .yw-editorarea-editor-correspondence-customer-service .z-textbox.changes {
    min-height: initial;
    background-color: #27394F;
    text-align: center;
    span {
        font-size: 13px;
        color: white;
    }
}

/** LARGE **/
.y-editor-area-attributes-cnt-max .yw-reply-to-customer-container {
    width: 49%;
    margin-bottom: 45px;
    margin-left: 1%;
    button {
        height: 40px;
    }
}

.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout,
.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-public.z-vlayout,
.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-private.z-vlayout{
    width: 49%;
    clear: both;
    margin-right: 1%;
}


.yw-collapsibleContainer-caption > .z-north-header .yw-caption-container > .z-caption-content, 
.yw-collapsibleContainer-caption > .z-center-header .yw-caption-container > .z-caption-content{
    max-width: 100%;
}


.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout .z-label,
.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-public.z-vlayout .z-label,
.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-private.z-vlayout .z-label{
    overflow: hidden;
    text-overflow: clip;
    overflow-wrap: break-word;
    white-space: normal;
    width: 100%;
    line-height: 18px;
    vertical-align: top;
}

.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-private.z-vlayout,
.y-editor-area-attributes-cnt-max .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-public.z-vlayout{
    margin-left: 1%;
    margin-right: 0;
}

/** MEDIUM **/
.y-editor-area-attributes-cnt-avg {
    .yw-reply-to-customer-container {
        width: 48%;
        margin-bottom: 45px;
        margin-left: 2%;
    }
    .ye-customersupport-textbox.z-vlayout,
    .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-public.z-vlayout,
    .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-private.z-vlayout{
        width: 49%;
        margin-right: 2%;
    }
    .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-private.z-vlayout,
    .yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-public.z-vlayout{
        margin-left: 2%;
        margin-right: 0;
    }
}

/** SMALL **/
.y-editor-area-attributes-cnt-min .yw-reply-to-customer-container {
    width: 100%;
    margin-bottom: 30px;
}

.y-editor-area-attributes-cnt-min .yw-editorarea-tabbox-tabpanels .z-tablechildren .z-vlayout[class*="z-textbox-"]{
    margin-bottom: 20px;
}

//It's OMS-related styling
button.z-button.fraudbutton{
    background-color: $white;
    width: 30px;
    border: 1px solid #C0C0C0;
    background-position: center;
    margin-right: 5px;
}

button.z-button.acceptfrauditem {
    background-image: url("images/icon_action_accept_active.png");
    border: 1px solid #485470;
}

button.z-button.acceptfrauditem:hover {
    background-image: url("images/icon_action_accept_hover.png");
    background-color: #085ABC;
}

button.z-button.rejectfrauditem {
    background-image: url("images/icon_action_reject_active.png");
    border: 1px solid #485470;
}

button.z-button.rejectfrauditem:hover {
    background-image: url("images/icon_action_reject_hover.png");
    background-color: #085ABC;
}

button.z-button.acceptfrauditem.disabled {
    background-image: url("images/icon_action_accept_disabled.png");
}

button.z-button.acceptfrauditem.disabled:hover {
    background-color: #F6F6F6;
    border: 1px solid #485470;
}

button.z-button.rejectfrauditem.disabled {
    background-image: url("images/icon_action_reject_disabled.png");
}

button.z-button.rejectfrauditem.disabled:hover {
    background-color: #F6F6F6;
    border: 1px solid #485470;
}

button.z-button.releasebutton{
    width: 30px;
    margin-right: 5px;
    background: $white url("images/icon_action_accept_active.png") center;
    border: 1px solid #485470;
}

button.z-button.releasebutton:hover {
    background-image: url("images/icon_action_accept_hover.png");
    background-color: #085ABC;
}

button.z-button.releasebutton.disabled {
    background-image: url("images/icon_action_accept_disabled.png");
}

button.z-button.releasebutton.disabled:hover {
    background-color: #F6F6F6;
    border: 1px solid #485470;
}

.cng-action .z-hbox-separator {
    background-color: inherit;
}
//End of OMS-related styling

/** yw-reply-to-customer-container **/
.y-editor-area-attributes-cnt-min .yw-editorarea-tabbox-tabpanels{
    .yw-reply-to-customer-container:before,
    .yw-reply-to-customer-container:after,
    .z-tablechildren .z-vlayout[class*="z-textbox-"]:after{
        display: none;
    }
}

.yw-editorarea-tabbox-tabpanels .yw-reply-to-customer-container{
    position: relative;
    float: right;
    overflow: visible;
    &:before,&:after{
        left: -9px;
        top: 15px;
        content: '';
        position: absolute;
        width: 0;
        height: 0;
        border: 5px solid transparent;
        border-right-color: $white;
        z-index: 2;
    }
    &:after{
        border-right-color: $cst-editorarea-border--color;
        border-width: 6px 5px;
        left: -10px;
        top: 14px;
        z-index: 1;
    }
    .z-hlayout{
        white-space: normal;
    }
    .yw-editorarea-correspondence-textbox-send {
        width: 100%;
        max-width: 100%;
        height: 125px;
        max-height: 125px;
        border: 1px solid $cst-editorarea-border--color;
        -webkit-border-radius:0 0 2px 2px;
        -moz-border-radius:0 0 2px 2px;
        border-radius:0 0 2px 2px;
        padding: 10px 15px;
        &.ye-customersupport-textbox-private{
            float: none;
        }
    }
    .z-vlayout-inner:first-of-type{
        padding: 6px 5px 6px 15px;
        overflow: hidden;
        border: 1px solid $cst-editorarea-border--color;
        -webkit-border-radius: 2px 2px 0 0;
        -moz-border-radius: 2px 2px 0 0;
        border-radius: 2px 2px 0 0;
        text-align: right;
        border-bottom: 0;
        .z-hlayout-inner{
            padding-right: 10px !important;
            vertical-align: middle;
            &:last-child{
                float: left;
                line-height: 27px;
            }
        }

    }
    ~ .z-vlayout{
        width: 100%;
        overflow: visible;
        float: left;
    }
}
.yw-editorarea-tabbox-tabpanels .yw-reply-to-customer-container .z-vlayout-inner:last-of-type{
    padding-top: 5px;
    text-align: right;
    .z-hlayout:not(.yw-editorarea-editor-correspondence-attachments) > .z-hlayout-inner:first-of-type{
        display: block;
    }
}
.y-editor-area-attributes-cnt-max .yw-reply-to-customer-container .z-vlayout-inner:last-of-type .z-hlayout:not(.yw-editorarea-editor-correspondence-attachments) > .z-hlayout-inner:first-of-type{
    padding-right: 230px !important;
}

.yw-editorarea-tabbox-tabpanels .yw-reply-to-customer-container .yw-editorarea-editor-correspondence-attachments{
    float: left;
}

/** common styles for messages **/
.yw-editorarea-tabbox-tabpanels {
    .z-tablechildren {
        .yw-editorarea-editor-correspondence-attachment{
            background: rgba(0,0,0,0.1);
            padding: 5px 12px 7px;
            -webkit-border-radius: 15px;
            -moz-border-radius: 15px;
            border-radius: 15px;
            display: inline-block;
            vertical-align: middle;
            margin: 5px 0;
            height: 27px;
            &:hover{
                background: rgba(0,0,0,0.15);
                cursor: pointer;
            }
            a, a:hover, a:visited{
                color: #27394f;
                text-decoration: none;
                font-size: 11px;
            }
            .yw-editorarea-editor-correspondence-attachment-remove{
                margin-left: 5px;
                width: 7px;
                height: 7px;
                background: url("images/icon_attachment_remove.png") no-repeat;
                text-indent: -9999px;
                overflow: hidden;
                display: inline-table;
                vertical-align: middle;
            }
        }
    }
}

/** ye-customersupport-textbox-private */
.yw-editorarea-correspondence-textbox-send.ye-customersupport-textbox-private {
   background: $yellow-light;
}

/** ye-customersupport-textbox-status */
.yw-editorarea-tabbox-tabpanels {
    .ye-customersupport-textbox-status{
        &.z-vlayout{
            width: 100%;
            clear: both;
            background: $white;
            text-align: center;
            z-index: 10;
            position: relative;
            padding: 10px 0;
            .z-label{
                color: $black;
                font-size: 16px;
                text-transform: uppercase;
                font-weight: 600;
            }
            .yw-editorarea-editor-correspondence-customer-service,
            .yw-editorarea-editor-correspondence-customer {
                padding: 0;
                border: none;
                text-align: center;
                color: $message-text--color;
                .z-label{
                    color:$message-text--color;
                    text-transform: capitalize;
                    font-size: 12px;
                    font-weight: normal;
                }
                .z-hlayout-inner:first-child {
                    float: none;
                    margin-right: 15px;
                }
            }
        }
    }
    .ye-customersupport-textbox-public.z-vlayout,
    .ye-customersupport-textbox-private.z-vlayout,
    .ye-customersupport-textbox.z-vlayout{
        &:after{
            border: 8px solid transparent;
        }
        .z-vlayout-inner{
            &:first-child{
                -webkit-border-radius: 3px;
                -moz-border-radius: 3px;
                border-radius: 3px;
                padding: 11px 15px;
            }
            &:nth-child(2){
                padding: 0;
            }
        }
        .yw-editorarea-editor-correspondence-customer-service,
        .yw-editorarea-editor-correspondence-customer {
            padding-top: 5px;
            text-align: right;
            white-space: normal;
            .z-hlayout-inner:first-child {
                float: left;
            }
        }
    }
    .ye-customersupport-textbox-public.z-vlayout.ye-status-open-closed{
        &:after{
            border-right-color: $green-light;
        }
        .z-vlayout-inner{
            &:first-child{
                background: $green-light;
            }
        }
    }
    .ye-customersupport-textbox-public.z-vlayout.ye-status-closed-open{
        &:after{
            border-right-color: $blue-light;
        }
        .z-vlayout-inner{
            &:first-child{
                background: $blue-light;
            }
        }
    }
    .ye-customersupport-textbox-public,
    .ye-customersupport-textbox-private,
    .ye-customersupport-textbox{
        position: relative;
        float: right;
        overflow: visible;
        width: 100%;
        margin-bottom: 15px;
    }
    .ye-customersupport-textbox-private.z-vlayout{
        .z-vlayout-inner{
            &:first-child{
                background: $yellow-light;
            }
        }
        &:after{
            left: -16px;
            top: 10px;
            content: '';
            position: absolute;
            width: 0;
            height: 0;
            border: 8px solid transparent;
            border-right-color: $yellow-light;
        }
    }
}
/** ye-customersupport-textbox-public **/
.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox-public.z-vlayout{
    .z-vlayout-inner:first-child {
        background: $background-color--light-grey;
    }
    &:after{
        left: -16px;
        top: 10px;
        content: '';
        position: absolute;
        width: 0;
        height: 0;
        border: 8px solid transparent;
        border-right-color: $background-color--light-grey;
    }
}
/** ye-customersupport-textbox **/
.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout{
    float: left;
    .z-vlayout-inner:first-child{
        background: $background-color--light-grey;
        border: 1px solid $border-default--grey;
    }
    &:before,&:after{
        right: -14px;
        top: 10px;
        content: '';
        position: absolute;
        width: 0;
        height: 0;
        border: 8px solid transparent;
        border-left-color: $background-color--light-grey;
        z-index: 2;
    }
    &:after{
        border-left-color: $border-default--grey;
        border-width: 10px 8px;
        right: -15px;
        top: 8px;
        z-index: 1;
    }
}
/** userPasswordPanel **/
.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox .z-groupbox-content {
    .z-tablechildren[ytestid="userPasswordPanelRenderer"] {
        text-align: right;
        padding: 0;
        ~ .z-tablechildren {
            padding: 0;
        }
        .z-vlayout-inner {
            width: 50%;
            padding-right: 2%;
            padding-bottom: 15px !important;
            display: inline-block;
            vertical-align: top;
            &:nth-last-of-type(1) {
                width: 100%;
                margin-left: 50%;
                padding-top: 3px;
            }
            &:nth-of-type(1) {
                float: left;
            }
            &:nth-of-type(2) {
                clear: left;
                float: left;
            }
        }
        ~ .z-tablechildren > .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-ed {
            width: 50%;
            padding-right: 2%;
            padding-bottom: 15px !important;
            display: inline-block;
            vertical-align: top;
        }
        .z-label {
            text-align: left;
            display: block;
        }
        ~ .z-tablechildren > .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-ed:nth-last-of-type(1) {
            float: right;
        }
        .z-vlayout-inner:nth-last-of-type(2) {
            padding-top: 2px;
        }
        ~ .z-tablechildren {
            .z-radio {
                padding-right: 5px;
            }
            input[type="radio"] {
                margin-right: 5px;
            }
        }
    }
}
.y-editor-area-attributes-cnt-avg {
    .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox {
        .z-groupbox-content {
            .z-tablechildren[ytestid="userPasswordPanelRenderer"] {
                width: 100% !important;
                float: left;
                padding-bottom: 15px;
                ~ .z-tablechildren {
                    width: 100% !important;
                    float: left;
                    padding-bottom: 15px;

                    > .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-ed {
                        padding-right: 0;
                        padding-left: 1em;

                        &:nth-of-type(1) {
                            padding-right: 1em;
                            padding-left: 0;
                        }
                    }
                }
                .z-vlayout-inner {
                    padding-right: 0;
                    padding-left: 1em;
                    &:nth-of-type(1) {
                        padding-right: 1em;
                        padding-left: 0;
                    }
                    &:nth-of-type(2) {
                        padding-right: 1em;
                        padding-left: 0;
                    }
                }
            }
        }
    }
}
.y-editor-area-attributes-cnt-min {
    .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox {
        .z-groupbox-content {
            .z-tablechildren[ytestid="userPasswordPanelRenderer"] {
                width: 100% !important;
                float: left;
                padding-bottom: 15px;
                ~ .z-tablechildren {
                    width: 100% !important;
                    float: left;
                    padding-bottom: 15px;
                    > .yw-editorarea-tabbox-tabpanels-tabpanel-groupbox-ed {
                        width: 100%;
                        display: block;
                        float: none;
                        margin: 0;
                        padding-right: 0;
                    }
                }
                .z-vlayout-inner {
                    width: 100%;
                    display: block;
                    float: none;
                    margin: 0;
                    padding-right: 0;
                    &:nth-of-type(2) {
                        padding-bottom: 15px !important;
                    }
                }
            }
        }
    }
}

.ye-default-editor-readonly[ytestid="editor_fraudSymptomScorings"] .ye-com_hybris_cockpitng_editor_extendedmultireferenceeditor .ye-default-reference-editor-selected-listbox table{
    width: 100% !important;
    td:last-child, th:last-child, col:last-child, td:nth-child(4), th:nth-child(4), col:nth-child(4){
        width: 23px !important;
    }
}

.ye-default-asm-deep-link {
	position: absolute;
    top: 5px;
    right: 5px;
    background: url('images/ASM_22x22.png') no-repeat center;
    width: 26px;
    height: 26px;
    cursor: pointer;
    z-index: 10;
    &:hover {
        background: url('images/ASM_22x22_hover.png') #A6B3C4 no-repeat center;
    }
    img {
        max-width: initial !important;
        max-height: initial !important;
    }
}

div.ye-default-reference-editor-selected-item-container.ye-default-asm-deep-link-container {
    padding-right: 50px;
}

//It's OMS-related styling

.y-toolbar-leftslot .cng-action-group{
    .ya-de_hybris_ordermanagementbackoffice_actions_order_cancelorderaction.cng-action,
    .ya-de_hybris_ordermanagementbackoffice_actions_order_triggersourcingaction.cng-action,
    .ya-de_hybris_ordermanagementbackoffice_actions_order_putonholdaction.cng-action{
        padding: 0px 10px;
    }
}
.yw-editorarea-editor-correspondence-replyto{
    padding-top: 5px;
}

.z-popup.ya-cng-action-group-popup.ya-three-dots-group-popup .z-popup-content > .z-div {
    border: none;
}
.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout.ye-status-open-closed:before{ 
    border-left-color: #a1eeae; 
}

.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout.ye-status-open-closed:after{ 
    border-left-color: transparent;  
}

.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout.ye-status-open-closed .z-vlayout-inner:first-child{
    background: #a1eeae;border:0; 
}

.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout.ye-status-closed-open:before{ 
    border-left-color: #a3e2ff; 
}

.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout.ye-status-closed-open:after{ 
    border-left-color: transparent; 
}

.yw-editorarea-tabbox-tabpanels .ye-customersupport-textbox.z-vlayout.ye-status-closed-open .z-vlayout-inner:first-child{ 
    background: #a3e2ff;
    border:0;
}
//End of OMS-related styling




